package com.persagy.dmp.rwd.qrcode.service;

import com.fasterxml.jackson.databind.node.ObjectNode;

import java.util.List;

public interface QrCodeService {

    /**
     * 生成默认二维码
     * @param objectDigitals
     */
    void createDefaultQrCode(List<ObjectNode> objectDigitals);

    /**
     * 创建对象二维码信息
     * @param groupCode
     * @param projectId
     * @param digital
     */
    void createObjectQrCode(String groupCode,String projectId,ObjectNode digital);

    /**
     * 删除对象二维码
     * @param groupCode
     * @param projectId
     * @param digital
     */
    void removeObjectQrCode(String groupCode,String projectId,ObjectNode digital);
}
